Gtk2::WebKit::WebInspector(3)

NAME
Gtk2::WebKit::WebInspector

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebInspector

METHODS

  $web_inspector->close

  $web_inspector->inspect_coordinates ($x, $y)

•   $x (double)

•   $y (double)

  string = $web_inspector->get_inspected_uri

  $web_inspector->show

  webview = $web_inspector->get_web_view

PROPERTIES

'inspected-uri' (string : default undef : readable / private)
    The URI that is currently being inspected

'javascript-profiling-enabled' (boolean : default false : readable / writable / private)
    Profile the executed JavaScript.

'timeline-profiling-enabled' (boolean : default false : readable / writable / private)
    Profile the WebCore instrumentation.

'web-view' (Gtk2::WebKit::WebView : default undef : readable / private)
    The Web View that renders the Web Inspector itself

SIGNALS

boolean = attach-window (Gtk2::WebKit::WebInspector)
boolean = close-window (Gtk2::WebKit::WebInspector)
boolean = detach-window (Gtk2::WebKit::WebInspector)
finished (Gtk2::WebKit::WebInspector)
Gtk2::WebKit::WebView = inspect-web-view (Gtk2::WebKit::WebInspector, Gtk2::WebKit::WebView)
boolean = show-window (Gtk2::WebKit::WebInspector)

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz